LibreOffice LibreOffice 6.0 SDK API Reference

Public Attributes | List of all members
XGraphicObject Interface Reference

`XGraphicObject` objects represent in-memory image and graphic objects. More...

`import"XGraphicObject.idl";`

Inheritance diagram for XGraphicObject:

## Public Attributes
XGraphic | Graphic
| is the associated image/graphic for this object. More...
string | UniqueID
| is the id that can be used to form the `vnd.sun.star.GraphicObject` url to address this object. More...

## Additional Inherited Members
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

`XGraphicObject` objects represent in-memory image and graphic objects.

Such objects are accessible using GraphicObject scheme URLs like

- vnd.sun.star.GraphicObject:10000000000001940000012FB99807BD

The numeric portion of the url is formed from UniqueID. As long as at least one instance of `XGraphicObject` with a particular UniqueID exists, the associated image/graphic is available.

See also
  XGraphicObject
  GraphicProvider
  MediaProperties

## Member Data Documentation

## ◆ Graphic

XGraphic Graphic
| attribute

is the associated image/graphic for this object.

## ◆ UniqueID

string UniqueID
| attribute readonly

is the id that can be used to form the `vnd.sun.star.GraphicObject` url to address this object.

The documentation for this interface was generated from the following file:

- com/sun/star/graphic/XGraphicObject.idl